## ruby-faye 1.4.0

=== Makefile ===
PATH  := node_modules/.bin:$(PATH)
SHELL := /bin/bash

source_files   := $(shell find src -name '*.js')
spec_files     := $(shell find spec -name '*_spec.js')
webpack_config := webpack.config.js

name           := faye-browser
bundles        := $(name).js $(name)-min.js

client_dir     := build/client
client_bundles := $(bundles:%=$(client_dir)/%)
top_files      := CHANGELOG.md LICENSE.md README.md package.json src
top_level      := $(top_files:%=build/%)

.PHONY: all gem clean

all: $(client_bundles) $(top_level)

gem: all
	gem build faye.gemspec

clean:
	rm -rf build *.gem spec/*_bundle.js{,.map}

$(client_dir)/$(name).js: $(webpack_config) $(source_files)
	webpack

$(client_dir)/$(name)-min.js: $(webpack_config) $(source_files)
	NODE_ENV=production webpack

build/src: $(source_files) build
	rsync -a src/ $@/

build/%: % build
	cp $< $@

build:
	mkdir -p $@

## ruby-faye 1.2.4

=== debian/changelog ===
ruby-faye (1.2.4-1) unstable; urgency=medium

  * Initial release (Closes: #921053)

 -- Utkarsh Gupta <guptautkarsh2102@gmail.com>  Fri, 01 Feb 2019 19:09:02 +0530

=== debian/control ===
Source: ruby-faye
Section: ruby
Priority: optional
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Utkarsh Gupta <guptautkarsh2102@gmail.com>
Build-Depends: debhelper (>= 11~),
               gem2deb,
               ruby-cookiejar (>= 0.3.0),
               ruby-em-http-request (>= 0.3.0),
               ruby-eventmachine (>= 0.12.0),
               ruby-faye-websocket (>= 0.9.1),
               ruby-multi-json (>= 1.0.0),
               ruby-rack (>= 1.0.0),
               ruby-websocket-driver (>= 0.5.1)
Standards-Version: 4.3.0
Vcs-Git: https://salsa.debian.org/ruby-team/ruby-faye.git
Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-faye
Homepage: https://faye.jcoglan.com
Testsuite: autopkgtest-pkg-ruby
XS-Ruby-Versions: all
Rules-Requires-Root: no

Package: ruby-faye
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: ruby | ruby-interpreter,
         ruby-cookiejar (>= 0.3.0),
         ruby-em-http-request (>= 0.3.0),
         ruby-eventmachine (>= 0.12.0),
         ruby-faye-websocket (>= 0.9.1),
         ruby-multi-json (>= 1.0.0),
         ruby-rack (>= 1.0.0),
         ruby-websocket-driver (>= 0.5.1),
         ${misc:Depends},
Description: Simple pub/sub messaging for the web
 Faye is a set of tools for simple publish-subscribe messaging between web
 clients.
 .
 It ships with easy-to-use message routing servers for Node.js and Rack
 applications, and clients that can be used on the server and in the browser.

## ruby-faye 1.4.0

=== debian/changelog ===
ruby-faye (1.4.0-1) unstable; urgency=medium

  [ Utkarsh Gupta ]
  * Add salsa-ci.yml

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database,
    Bug-Submit, Repository, Repository-Browse.
  * Update standards version to 4.4.1, no changes needed.
  * Update standards version to 4.5.0, no changes needed.

  [ Utkarsh Gupta ]
  * New upstream version 1.4.0
    - Address em-http-request warnings about `verify_peer`.
      (Fixes: CVE-2020-15134) (Closes: #967063)
    - Strict meta channel recognition in server.
      (Fixes: CVE-2020-11020) (Closes: #959392)
  * Tighten dependency on ruby-{faye-websocket, em-http-request}
  * Add patch to relax em-http-request dependency
  * Fix package wrt cme
  * Use @d.o address
  * Drop unnecessary dependency on ruby interpreter

 -- Utkarsh Gupta <utkarsh@debian.org>  Sat, 02 Jan 2021 18:18:03 +0530

=== debian/control ===
Source: ruby-faye
Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Utkarsh Gupta <utkarsh@debian.org>
Section: ruby
Testsuite: autopkgtest-pkg-ruby
Priority: optional
Build-Depends: debhelper-compat (= 12),
               gem2deb,
               ruby-cookiejar,
               ruby-em-http-request (>= 1.1.5),
               ruby-eventmachine,
               ruby-faye-websocket (>= 0.11.0),
               ruby-multi-json,
               ruby-rack,
               ruby-websocket-driver
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-faye
Vcs-Git: https://salsa.debian.org/ruby-team/ruby-faye.git
Homepage: https://faye.jcoglan.com
Rules-Requires-Root: no
XS-Ruby-Versions: all

Package: ruby-faye
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: ruby-cookiejar,
         ruby-em-http-request (>= 1.1.5),
         ruby-eventmachine,
         ruby-faye-websocket (>= 0.11.0),
         ruby-multi-json,
         ruby-rack,
         ruby-websocket-driver,
         ${misc:Depends}
Description: Simple pub/sub messaging for the web
 Faye is a set of tools for simple publish-subscribe messaging between web
 clients.
 .
 It ships with easy-to-use message routing servers for Node.js and Rack
 applications, and clients that can be used on the server and in the browser.

=== debian/watch ===
version=4
https://github.com/faye/faye/releases .*/(.*)\.tar\.gz
